VoiceThread Docs / Troubleshooting / Browser requirements

IMPORTANT: Firefox version 87 has introduced a bug that results in audio recordings not being captioned in full. Please see our Status Page to follow progress and updates.


VoiceThread is supported in full in:

  • Google Chrome
  • Mozilla Firefox
  • Safari (Version 14 or later, packaged with MacOS Big Sur)
  • Microsoft Edge

Internet Explorer does not support HTML5 and therefore cannot be used with VoiceThread.

For the best possible experience, your web browser should be fully up to date, but at minimum no more than two versions behind.